/* Creating main grid for pokemon images and descriptions
to maximally span around 1/4 of the screen,
all pokemon boxes fit into this main grid */
.pokemon-grid {
  display: grid;
  grid-gap: 16px;
  padding: 20px;
  grid-template-columns: repeat(auto-fit, minmax(23%, 1fr));
}

/* Adjusting grid minimum column width for mobile devices */
@media only screen and (max-width: 640px) {
  .pokemon-grid {
    grid-template-columns: repeat(auto-fit, minmax(48%, 1fr));
  }
}

/* Setting the pokemon display box to be a grid aswell
  in order to center the text and add some box-shadow to
  the outline */
.pokemon-grid .box {
  width: 100%;
  height: 22rem;
  box-shadow: 1px 2px 5px rgba(0, 0, 0, 0.3);
  display: grid;
  text-align: center;
}

/* Adjusting maximum size of image and centering it */
.pokemon-grid .box img {
  max-width: 150px;
  display: block;
  margin: 0 auto;
}

/* Increasing the size of the pokemon name */
.pokemon-name {
  font-size: 2rem;
}

.collected-message {
  color: red;
  font-style: bolder;
  font-size: 2em;
}
